cbsite <- function(sitePix, wordcenterPix, PIXPERCHAR)
{
	# compute center-based site in pixels or chars
	# given site (in pixels), word center (in pixels) and pixels per character conversion factor
	# assumes fixed width font
	#
	# input:
	# 	sitePix: x location in pixels of site whose center-based position is to be determined, e.g., launch site or landing site
	#	wordcenterPix: x location in pixels of word center relative to which center-based position is to be determined
	#		see function wordcenter.R
	#	PIXPERCHAR: conversion factor, pixels per character
	#
	# intended for McConkie et al. (1988)-type analyses of center-based landing site as function of center-based launch site
	#
	# Jochen Laubrock
	
	xdiffPix <- sitePix - wordcenterPix
	xdiffChar <- xdiffPix / PIXPERCHAR
	
	# ret <- list("cbSitePix", "cbSiteChar")
	ret <- list()
	ret$cbSitePix <- xdiffPix
	ret$cbSiteChar <- xdiffChar
	ret
}