############################
# firstpass1
# 	generates index for first-pass fixations for a sentence, given a sequence of fixated words
#   For debugging: 
#		a<-c(1, 2, 2, 5, 1, 1, 3, 1, 3, 5, 5, 6, 6, 6, 2, 3, 4, 5, 6, 7)
#      fpf=c(1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 1)
#
# Jochen Laubrock
firstpass1 <- function(a)
{
	r <- 0
	cmaxa <- cummax(a)
	moveForward <- c(a[1], diff(cmaxa))
	da <- c(a[1], diff(a))

	# normal case
	secondpass <- a<cmaxa

	# special treatment for return after regression: if regression occurred, then any subsequent fixation must be further to the right than rightmost fixated word at time of regression
	whichRegLoc <- which(da<0)
	for (i in whichRegLoc) {
		ix <- i:length(a)
		secondpass[ix] <- a[ix] <= cmaxa[i]
	}
	
	# forward saccade or firstpass refixation
	fpf <- moveForward > 0 | (!secondpass & da==0) 
	fpf
}
