parseq<-function(a)
{
# PARSEQ parses a vector according to its incremental sequence of unchanging 
# values. Use for identifying sequential blocks of data. 
# b1: begin b2: end b3: length of data block.
# J. Laubrock, 04-10-2004
# Transformation von matlab in R by Sven Ohl 12-03-2006
# speed-up,  vectorization by jochen laubrock, 05-30-06
# formatting as data frame, jochen laubrock, 23-03-2009
# check for la>1 and special treatment of la==1, jochen laubrock, 03-2010

# todo: should we add an option to treat logical vectors specially?

   la = length(a)
   if (la > 1) {
	   dim(a) <- c(la,1)
	   diff <- a[2:la,]-a[1:la-1,]
	   tmp <- which(diff!=0)
	   b <- cbind(c(1,tmp+1), c(tmp, la))
	   b <- cbind(b, b[,2]-b[,1]+1)
   } else b <- cbind(1, 1, 0)
   b <- data.frame(b)
   names(b) <- c('start',  'end',  'length')
   return(b)
}

