probdur1  <-  function(asn) {
# PROBDUR1 stores means of gaze and total rt, and associate mean n of fix 
# FOR EACH WORD in the corpus; one sentence at a time; 
# a1: id, a2: sn a3: nw, a4: wn, a5: let, a6: dur, a7: fpf(0/1), a8: badfix(0/1)
#
# Two special fixations are marked:
#  (1) the last fixation of first-pass (i.e., reg orig, ro1 or ro2)
#  (2) the first fixation of second-pass (i.e., reg goal, rg1 or rg2)
#
# Hopefully, this will illuminate the regression pattern
#
# R. Kliegl, 18-09-2004 (Matlab version); adapted and modified for R: 07-08-2006
# J.Laubrock 02/2008; labeled and overhauled 
# Sarah Risse
#
#Debug:
#asn <- a[f1:f2,1:7]  # > names(a)[1:7]  "id"  "sn"  "nw"  "wn"  "let" "dur" "fpf" "badfix"

nw  <- asn[1,"nw"]                  # nw in sentence

# # remove bad fixations from asn and fpf
# # # again, removal this late could be dangerous (jl)
# bad <- asn$badfix==1
# if ( sum(bad) > 0 ) {
#     asn <- asn[!bad, ]
# }

# initialize matrix
#b <- matrix(NA, nw, 41)              # matrix of results
# b <- as.data.frame( matrix(NA, nw, 43))
# names(b) <- c("id", "sn", "wn", "p0", "p1", "p2", "p3",
#                                 "d0", "d1", "d2", "d3", 
#                                 "l0", "l1", "l2", "l3", 
#                                  "gz", "ngz",
#         "rop1",  "rop2", "rod0", "rod1", "rod2", "rol0", "rol1", "rol2", "rogz", "rongz",
#         "rgp1",  "rgp2", "rgd0", "rgd1", "rgd2", "rgl0", "rgl1", "rgl2", "rggz", "rgngz",
#         "rgc",  "roc", "trt", "nfx", "xfp", "xmp")
# 
mycolnames <- c("id", "sn", "wn", "p0", "p1", "p2", "p3",
                                "d0", "d1", "d2", "d3", 
                                "l0", "l1", "l2", "l3", 
                                 "gz", "ngz",
        "rop1",  "rop2", "rod0", "rod1", "rod2", "rol0", "rol1", "rol2", "rogz", "rongz",
        "rgp1",  "rgp2", "rgd0", "rgd1", "rgd2", "rgl0", "rgl1", "rgl2", "rggz", "rgngz",
        "rgc",  "roc", "trt", "nfx", "xfp", "xmp")
b <- matrix(NA, nw, 43)
dimnames(b) <- list(NULL, mycolnames)
durs <- c("d0", "d1", "d2", "d3", "gz", "trt")
lets <- c("l0", "l1", "l2", "l3")
varsToInitWithZeros <- c("p1","p2","p3","rop1","rop2","rgp1","rgp2","rgc","roc","nfx","trt","xfp", "xmp")
b[, varsToInitWithZeros] <- 0 # initialize probabilities and Ns to 0

# b[ ,1:4] <- cbind(rep(asn[1,"id"],nw), rep(asn[1,"sn"],nw), 1:nw, rep(1,nw) ) # 4th: skip=1
b[, "id"] <- rep(asn[1,"id"], nw)
b[, "sn"] <- rep(asn[1,"sn"], nw)
b[, "wn"] <- 1:nw

b[, "p0"] <- 1 # intialize to skip=1
b[asn[asn$fpf==1, "wn"], "p0"] <- 0   # set fixated, first-pass words to not skipped

# ro_fix <- match(0,fpf,nomatch=0) - 1	# (identify fix prior to first reg)
# if (ro_fix>0) fpf[ro_fix] <- 0      # ... but take fix prior to first reg out of first-pass!
# # NB (jochen): why only fix prior to *first* reg? 
# # alternatively, the lines below take fix prior to *any* reg out of first-pass
# but: make sure that the probabilities still add up !!
sel <- parseq(asn$fpf)[,1]; 
ro_fix <- sel[which(asn[sel,"fpf"]==FALSE)] - 1 # (identify fix prior to any reg)
if (any(ro_fix>0)) asn$fpf[ro_fix] <- 0      # ... but take fix prior to reg out of first-pass!

cf <- parseq(asn[ ,"wn"])              # cluster of fixations 1: begin, 2: end 3: lngth

ro_flag <- 1                        # last fix first-pass = first fix second-pass: reg orig
rg_flag <- 1                        # first "genuine" second-pass fix: reg goal

for (i in 1:nrow(cf)) {
    j <- cf[i,1]
    wrd <- asn[j, "wn"]
    gaze <- 0
    for (k in cf[i,1]:cf[i,2]) {
         gaze <- gaze + asn[k,"dur"]
# "xfp": 0: valid first pass, > 0. invalid in first pass
# "xmp": 0: valid in second and more pass, >0: invalid
     	 if (asn$fpf[k]==1)
			{b[wrd, "xfp"] <- b[wrd, "xfp"] + asn$badfix[k]} 
		 else if (asn$fpf[k]==0)
			{b[wrd, "xmp"] <- b[wrd, "xmp"] + asn$badfix[k]}
	}

    roc <- 0                        # reg orig counter
    rgc <- 0                        # reg goal counter 

    if (asn$fpf[j]==1) {                # FIRST-PASS READING
         if (cf[i,3]==1) {                 # single fixation
            b[wrd, "p1"] <- 1;                # p1
            b[wrd, "d0"] <- asn[j, "dur"]         # single dur
            b[wrd, "l0"] <- asn[j, "let"]         # single let
        } 
        else if (cf[i,3]==2) {
            b[wrd, "p2"] <- 1;                # p2
            b[wrd, "d1"] <- asn[j,   "dur"]       # 1st dur
            b[wrd, "d2"] <- asn[j+1, "dur"]       # 2nd dur
            b[wrd, "l1"] <- asn[j,   "let"]       # 1st let
            b[wrd, "l2"] <- asn[j+1, "let"]       # 2nd let
        }
        else {          
            b[wrd, "p3"] <- 1;                # p3+
            b[wrd, "d1"] <- asn[j,   "dur"]       # 1st dur
            b[wrd, "d2"] <- asn[j+1, "dur"]       # 2nd dur
            b[wrd, "d3"] <- asn[j+2, "dur"]       # 3rd dur
            b[wrd, "l1"] <- asn[j,   "let"]       # 1st let
            b[wrd, "l2"] <- asn[j+1, "let"]       # 2nd let
            b[wrd, "l3"] <- asn[j+2, "let"]       # 3rd let
        }
        b[wrd, "gz"] <- gaze                 # gaze duration
        b[wrd, "ngz"] <- cf[i,3]              # n of fix in gaze
    }
                   # LAST OF FIRST-PASS/FIRST OF SECOND-PASS FIX (reg orig)
    else if (ro_flag) {  
        if (cf[i,3]==1) {                  # single fixation
            b[wrd, "rop1"] <- 1					# ro1
            b[wrd, "rod0"] <- asn[j, "dur"]		# single ro dur
            b[wrd, "rol0"] <- asn[j, "let"]		# single ro let
        } 
        else  {
            b[wrd, "rop2"] <- 1;                # ro2+
            b[wrd, "rod1"] <- asn[j,   "dur"]       # 1st ro dur
            b[wrd, "rod2"] <- asn[j+1, "dur"]       # 2nd ro dur
            b[wrd, "rol1"] <- asn[j,   "let"]       # 1st ro let
            b[wrd, "rol2"] <- asn[j+1, "let"]       # 2nd ro let
        }
        b[wrd, "rogz"] <- gaze                 # ro gaze duration
        b[wrd, "rongz"] <- cf[i,3]              # n of fix in ro gaze
        roc <- 1                           # reg orig count
        ro_flag <- 0                       # disable ro flag
     }
                              # FIRST GENUINE SECOND-PASS FIX (reg goal) 
     else if (ro_flag==0 && rg_flag==1) { 
        if (cf[i,3]==1) {                  # single fixation
            b[wrd, "rgp1"] <- 1;                # rg1
            b[wrd, "rgd0"] <- asn[j, "dur"]         # single rg dur
            b[wrd, "rgl0"] <- asn[j, 5]         # single rg let
        } 
        else  {
            b[wrd, "rgp2"] <- 1;                # rg2+
            b[wrd, "rgd1"] <- asn[j,   "dur"]       # 1st rg dur
            b[wrd, "rgd2"] <- asn[j+1, "dur"]       # 2nd rg dur
            b[wrd, "rgl1"] <- asn[j,   "let"]       # 1st rg let
            b[wrd, "rgl2"] <- asn[j+1, "let"]       # 2nd rg let
        }
        b[wrd, "rggz"] <- gaze                 # rg gaze duration
        b[wrd, "rgngz"] <- cf[i,3]              # n of fix in rg gaze
        rgc <- 1                           # reg goal count
        rg_flag <- 0                       # disable rg flag
     }
     else if (lastwrd > wrd) {
         rgc <- 1                          # current word is reg goal
         b[lastwrd, "roc"] <- b[lastwrd, "roc"]+1  # last word was reg orig
		# 									# added the next two lines intuitively. check !!! (jochen)
		#         rg_flag <- 1                       # re-enable rg flag (jochen)
		# ro_flag <- 1 						# re-enable ro flag (jochen)
     }

                        # SUMMING ACROSS FIXATIONS	
     b[wrd, "rgc"] <- b[wrd, "rgc"]+rgc          # reg goal counter     
     b[wrd, "roc"] <- b[wrd, "roc"]+roc          # reg origin counter
     b[wrd, "trt"] <- b[wrd, "trt"]+gaze         # total rt
     b[wrd, "nfx"] <- b[wrd, "nfx"]+cf[i,3]      # total n of fix
     lastwrd <- wrd
}
ix <- b[, "trt"] ==0
b[ix, "trt"] <-NA                    # No fixation on this word

return(b)   # return the stored stuff for words of sentence

}
