probdur2 <- function(em) {
# PROBDUR2 computes dep var per word in sentence corpus
# input:  em     (=output of probdur1.R)
# output: em_w
#
# R. Kliegl, 29-01-2005; adapted for R: 08/08/2006
# minor modifications by j.laubrock, 10/08/06
# major modifications by j.laubrock, 12/06

# Sort and parse

em <- em[order(em$sn, em$wn, em$id), ]   # 2: sn, 3: wn (not:nw!), 1: id

nWordsInCorpus <- length(unique(1000*em$sn + em$wn))

 
# # Means
# p <- c(4:6, 18,19,28,29)              # Probs
# d <- c(8:10,20,30,16,40,41   )        # Durs + nfix

p <- c("p0", "p1", "p2", "p3", "rop1", "rop2", "rgp1", "rgp2") # neu: symbolisch, ausserdem die p3 dazugefuegt
d <- c("d0", "d1", "d2", "d3", "rod0", "rgd0", "gz", "trt", "nfx")
s <- c("l0", "l1", "l2", "l3", "rol0", "rol1", "rol2", "rgl0", "rgl1", "rgl2")
r <- c("rgc", "roc", "rogz", "rongz", "rggz", "rgngz")
newCols <- c("sn", "wn", p, d, s, r)

cix <- 100*em$sn + em$wn

b <- data.frame(matrix(NA, nrow = nWordsInCorpus, ncol = length(newCols)), row.names=unique(cix));                               # Preallocate output array

# cw <- parseq(em[,"wn"])
# for (i in 1:nrow(cw)) {                                 # PSC: 1138
#     c1=cw[i,1]
#     c2=cw[i,2]
#     b[i,1:2]   <- unlist(em[c1,2:3])                    # Sentence and word number
#     b[i,3:17]  <- mean( em[c1:c2, c(p,d) ], na.rm=T)    # Five probs, five durs 
# } 

b <- aggregate(em[,newCols], by=list(cix), mean, na.rm=TRUE)
return(b)
 

}
