`vecvel` <-
function(xy, SAMPLING, TYPE)
{
# ------------------------------------------------------------
# 
#   VELOCITY MEASURES
#   - EyeLink documentation, p. 345-361
#   - Engbert, R. & Kliegl, R. (2003) Binocular coordination in
#     microsaccades. In:  J. Hyönä, R. Radach & H. Deubel (eds.) 
#     The Mind's Eyes: Cognitive and Applied Aspects of Eye Movements. 
#     (Elsevier, Oxford, pp. 103-117)
# 
#   (Version 1.2, 01 JUL 05)
# 
#  I think I deserve credits for the vectorization, which I did in Matlab long time ago (jl)
#  R version by Jochen Laubrock (05/09)
# 
# -------------------------------------------------------------
# 
#   INPUT:
# 
#   xy(1:N,1:2)     raw data, x- and y-components of the time series
#   SAMPLING        sampling rate
# 
#   OUTPUT:
# 
#   v(1:N,1:2)     velocity, x- and y-components
# 
# -------------------------------------------------------------
	N <- nrow(xy)            # length of the time series
	xy <- as.matrix(xy)
	# print(N)
	v <- data.frame(matrix(data = 0, nrow = N, ncol = 2)) # in the matlab code, it is initialized to 0, but shouldn't it be NA at the Ns?
	names(v) <- c('x',  'y')
	# v <- matrix(data = NA, nrow = 100, ncol = 2)

	if (TYPE == 1) {
	        v[2:(N-1),] = SAMPLING/2 * (xy[3:N,] - xy[1:(N-2),]);#
		} else {
	        v[3:(N-2),] = SAMPLING/6 * (xy[5:N,] + xy[4:(N-1),] - xy[2:(N-3),] - xy[1:(N-4),]);
	        v[2,] = SAMPLING/2 * (xy[3,] - xy[1,]);
	        v[(N-1),] = SAMPLING/2 * (xy[N,] - xy[N-2,]);
	}
	v
}

