wordcenter <- function(xLeft, xRight, wordLength)
{
	# compute word center (a) aboslute, in pixels, (b) relative to word beginning, in characters
	#
	# input arguments: 
	#	xLeft, xRight: left and right word boundaries in pixels
	#	wordLength: word length in characters
	#
	# jochen laubrock
	
	# prepare list of return value, check for errors 
	# ret = list("xCenterPix", "midChar", "midCharFrac")
	ret = list()
	if (any(xRight <= xLeft) | any(wordLength <= 0)){
		ret$xCenterPix <- NA
		ret$midChar <- NA
		ret$midCharFrac <- NA
		return(ret)
	}

	# center in absolute pixels
	xCenter <- xLeft + (xRight - xLeft)/2 

	# center in chars relative to word beginning (check: do we need to add blank?)
	midChar <- rep(NA, length(xLeft))
	for (i in 1:length(xLeft)) {
		boundaries <- seq(xLeft[i], xRight[i], length.out = wordLength[i]+1)
			# plus 1 to define *left* letter boundaries (last value is right boundary of last letter)
		midChar[i] <- 	max(which(xCenter[i]>boundaries))
	}
	
	# boundaries <- seq(xLeft, xRight, length.out = wordLength+1) 
	# 	# plus 1 to define *left* letter boundaries (last value is right boundary of last letter)
	# midChar <- max(which(xCenter>boundaries))

	# fractional center in chars, relative to word beginning
	pixPerChar <- (xRight - xLeft) / wordLength
	midCharFrac <- (xCenter - xLeft) / pixPerChar

	ret$xCenterPix <- xCenter
	ret$midChar <- midChar
	ret$midCharFrac <- midCharFrac
	
	ret
}
