# ===========================================
# = parameters for (micro)saccade detection =
# ===========================================
SAMPLING <- 1000  # sampling rate (Hz) of eyetracker (500 for EyeLink II)
VTHR <- 5 # threshold for (micro)saccade detection
VTYPE <- 2	# velocity type (1 or 2): more smoothing
MINDUR <- 6	# minimum duration of (micro)saccade in samples (here: 6 samples, 12 ms)
# ====================================================================
# = screen and lab characteristics depending on experimental setup   =
# ====================================================================
PIX_PER_CHAR <- 12	# width of a letter in pixels (important, make sure <by measuring> that this is correct)
LEFT_SENTENCE_OFFSET <- 40	# fixed offset of left sentence boundary
X_RES <- 1024 # x resolution of subject monitor
VIEWING_DISTANCE <- 60 # distance between monitor and subject (cm)
MONITOR_WIDTH <- 40.0 # visible width of subject monitor (cm) 
ang <- atan2(1, VIEWING_DISTANCE) * 180/ pi # degrees per cm (deg visual angle per 1 cm on subject screen)
r <- X_RES / MONITOR_WIDTH # pixels per cm
DEG_PER_PIX <- ang / r # degree per pixel
PIX_PER_DEG <- r / ang # pixel per degree
