library(MASS)
data(a) # we should really use the full dataset here...

# we use fitdistr from MASS
launchsite <- round(a$let - a$ao1)
wl <- 1/a$l

wid_a <- 1e5 * a$id + 1e2 * a$sn + a$wn 
widx_a <- parseq(wid_a)
a$Ffix <- FALSE
a$Ffix[widx_a[,1]] <- TRUE 


ttls <- c(4,6,8)
lengthixs <- list()
for (l in 1:length(ttls)) {
	lengthixs[[l]] <- (wl == ttls[l] & a$Ffix)
}
### the above is short and more flexibly extensible for
# ix5 <- (wl == 5) & a$Ffix
# ix7 <- (wl == 7) & a$Ffix
# ix9 <- (wl == 9) & a$Ffix
# lengthixs <- list(ix5, ix7, ix9)


lsixs <- list()
# launchsites <- c(-1, -3, -5, -7)
launchsites <- seq(-1, -7, -2)
for (ls in 1:length(launchsites)) {
	lsixs[[ls]] <- (launchsite == launchsites[ls])
}

# ixls1 <- launchsite == -1
# ixls3 <- launchsite == -3
# ixls5 <- launchsite == -5
# ixls7 <- launchsite == -7
# lsixs <- list(ixls1, ixls3, ixls5, ixls7)

Ncuts <- 10
quartz()
# oma: outer margins; mar: inner margins
par(mfrow = c(length(launchsites), length(ttls)), oma = c(3, 3, 3, 0), mar = c(1.5, 4, 1.5, 0.1))
for ( j in 1:length(lsixs)) {
	ixls <- lsixs[[j]]
	for (i in 1:length(lengthixs)) {
		ixl <- lengthixs[[i]] 
		ix <- ixls & ixl
		ix <- ix & !is.na(ix)
		
		xlb <- ''
		ttl = ''
		# if  (j==1) {ttl <- ttls[i]} else {ttl <- NULL}
		# if  (j == length(lsixs)) { xlb <- "ILP" } else {xlb <- ""}
		if  (i == 1) {ylb <- "frequency"  } else {ylb <- ""}
		# if  (i==1) {ylb <- paste(as.character(launchsites[j]))  } else {ylb <- ""}
		

		# q <- cut(a$o[ix], Ncuts, labels = FALSE) - 1
		# pvp <- aggregate(a$o[ix], list(q), length)
		
		# q <- round(a$let[ix])
		# pvp <- aggregate(a$o[ix], list(round(a$let[ix])), length)

		q <- round(a$let[ix])
		pvp <- aggregate(a$let[ix], list(q), length)
		if (!any(pvp$Group.1==0)){
			pvp <- rbind(pvp, c(0, 0))
			row.names(pvp)[nrow(pvp)] <- "0"
			pvp <- pvp[order(pvp$Group.1),]
		}

		# xx <- fitdistr(a$o[ix], "normal", na.rm=TRUE)
		# rx <- diff(range(q))

		# xx <- fitdistr(a$o[ix] * 1/(a$l[ix] + 1), "normal", na.rm=TRUE)
		# rx <- diff(range(q))

		xx <- fitdistr(a$let[ix], "normal", na.rm=TRUE)
		rx <- diff(range(q))

		# plot(pvp$x, type="p", main = ttl, xlab=xlb, ylab=ylb, ylim=c(0,700))
		# curve(sum(ix)*dnorm(x, mean=xx$estimate[["mean"]] * rx + min(q), sd=xx$estimate[["sd"]]*rx) , from=min(q), to=max(q), add=TRUE)
		# plot(pvp$Group.1, pvp$x/sum(pvp$x), type="p", main = ttl, xlab=xlb, ylab=ylb, xlim=c(0, ttls[i]), ylim=c(0,.45))
		plot(pvp$Group.1, pvp$x/sum(pvp$x), type="p", main = ttl, xlab=xlb, ylab=ylb, xlim=c(0, max(ttls)), ylim=c(0,.45))
		# curve(dnorm(x, mean=xx$estimate[["mean"]] * rx + min(q), sd=xx$estimate[["sd"]]*rx) , from=min(q), to=max(q), add=TRUE)
		curve(dnorm(x, mean=xx$estimate[["mean"]], sd=xx$estimate[["sd"]]) , from=0, to=max(q), add=TRUE)
		if (i == 1){
			mtext(as.character(launchsites[j]), side=2, line=4)
		}
		if  (j==1) {
			mtext(as.character(ttls[i]), side=3, line=0.5)
		}
		
	}
}
mtext("word length", side=3, outer=TRUE, line=1)
mtext("launch site", side=2, outer=TRUE, line=1)
mtext("character position in word", side=1, outer=TRUE, line=1)

# i = 3
# j = 2
# ixls <- lsixs[[j]]
# ixl <- lengthixs[[i]] 
# ix <- ixls & ixl
# ix <- ix & !is.na(ix)
# # q <- seq(0,1,length=11)
# x <- seq(-.1,1,length=11)
# q <- cut(a$o[ix], 10, labels = FALSE) 
# pvp <- aggregate(a$o[ix], list(q), length)
# plot(pvp$x, type="p", xlab="ILP", ylab="frequency")
# 
# library(MASS)
# xx <- fitdistr(a$o[ix], "normal", na.rm=TRUE)
# N <- length(unique(q))
# rx <- diff(range(q))
# curve(sum(ix)*dnorm(x, mean=xx$estimate[["mean"]] * rx + min(q), sd=xx$estimate[["sd"]]*rx) , from=min(q), to=max(q), add=TRUE)