# Program xProbDur_AAA.R
# Generates descriptive statistics about probabilities, durations, 
# letter positions of fixations for first-pass and second-pass reading
#
# not yet finished: 
#
# input = (1) output of xSetup1_AAA.R
#         (2) output of xIndex_AAA.R
#
# output = em.rda, em_w.rda, em_w_id.rda, em_w_sn.rda
#
# R. Kliegl, 08/08/2006
# some modifications for PSC2, J.Laubrock, 10/08/2006
# not yet finished: 
# 	vectorized rewrite J.Laubrock, 12/2006 
#	todo: rewrite (vectorized) produr1a.R
# monocular demo with AAA data, 03/10, jochen laubrock

rm(list=ls())
library(eyetrackR)

projectDir <- "~/Projects/work/eyelinkTest/AAA"
basedataDir <- file.path(projectDir, "daten", "Experiment")
seqDir <- file.path(basedataDir, "fix_seqs")

dataDir <- file.path(projectDir, "neueAuswertung/SacDetec2008/PSC2/fix_seqs_with_R")

afile <- file.path(seqDir, "AAA_fix_RIGHT.rda")
ixfile <- file.path(seqDir, "AAA_fix_index_logical.rda") 
corpusFile  <- file.path(basedataDir, 'info', 'AAA_corpus.dat')
em_file <- file.path(seqDir, "AAA_em.rda") 
em_w_file <- file.path(seqDir, "AAA_em_w.rda") 
em_id_file <- file.path(seqDir, "AAA_em_id.rda") 

wbfile <- file.path(basedataDir, 'info', 'AAA_wb.dat')
ifile <- file.path(seqDir, "AAA_allsac_all_RIGHT_inclSpoken.seq")
ofile <- file.path(seqDir, "AAA_fix_RIGHT.rda")


# LOAD DATA:
load(afile)
load(ixfile)

# BAD FIXATION INFO - fixations to be ignored, not deleted, to keep index 
# add dur following a micro to previous duration prior to micro
# Q: isn't this a bit dangerous, because it assumes that the fixation are from the same sentence etc? check mcoutR!
# mcoutR contains within-letter saccades
mcoutR <- which(a$ao==0)
length(mcoutR)

if (length(mcoutR)>0) {
	# check whether mcoutR+1 is on the same word as mcoutR:
	wid <- 1e5*a$id + 1e2*a$sn + a$wn
	wid[mcoutR] == wid[mcoutR + 1]		# yes, okay...

	a$dur[mcoutR] <- a$dur[mcoutR] + a$dur[mcoutR + 1]
}
# flag as bad: fix following a micro and short fixations (i.e., < 51 ms)
# Question should we remove first and last from firstpR, use vFirstpR?

shrtR <- which(a$dur < 10)     # need new shrtR because of dur-ms-dur addition 
longR <- which(a$dur > 750)
length(shrtR)
length(longR)

mcinR <- which(a$ao1==0)
#mcinR <- mcoutR + 1

# VECTOR WITH INVALID FIXATIONS:
# (1) within-word refixations (microsaccades)
# (2) DO NOT EXCLUDE NOW: short durations + long durations 
# (3) first and last fixation in sentence (frstfix, lastfix)
# (4) binocular (xBinocAll) 
invalBC <- setdiff(c(1:nrow(a)), which(valid))

bad <- unique(c(mcinR, invalBC, which(frstfix), which(lastfix)))
a$badfix <- 0
a$badfix[bad] <- 1

a$fpf  <- rep(0,nrow(a))
a$fpf[firstp] <- 1


# SUMMARIES
# (1) basic info for EACH WORD OF EACH SENTENCE read
#  << note: shouldnt we compute it on the corpus instead of fixations ? >>
#  << I really think we need only nwords*nsubjects rows >>

# new (jl)
# the action happens here (in produr1)
sntix <- a$id * 1e3 + a$sn  # Recompute because records were deleted
sel <- parseq(sntix)
# # eliminate sentences with less than 2 fixations
# tooFewFixations <- sel[,3] <=2
# tooFewFixationsIx <- sntix %in% sntix[sel[tooFewFixations,1]]
# a <- a[-which(tooFewFixationsIx),]
# sntix <- sntix[-which(tooFewFixationsIx)]

pdlist <- by(a[c("id", "sn", "nw", "wn", "let", "dur", "fpf", "badfix")], sntix, probdur1)
# # alternative (note: currently produces same content, but different structure):
# pdlist1 <- list()
# sel <- parseq(sntix)
# for (i in seq_along(1:nrow(sel))) {
# 	tmp <- a[sel[i,1]:sel[i,2], c("id", "sn", "nw", "wn", "let", "dur", "fpf", "badfix")]
# 	pdlist1[[i]] <- as.data.frame(probdur1(tmp))
# }

print('done with pdlist, now populating em')

nrow_em <- sum(tapply(a$nw, sntix, unique))
ncol_em <- 43 #this depends on the number of columns available; here: 43 
em <- array(NA, c(nrow_em, ncol_em))
# dimnames(em) <- list(NULL, names(pdlist[[1]]))
dimnames(em) <- dimnames(pdlist[[1]])

# TODO: strangely enough, the following lines really use up most of the time spent in xProbdur (and a lot of time it is)
# can we find an alternative using match?
# TODO: comment above refers to an old version using data frame. Check how much faster the current version using matrix array is
# TODO: my suspicion is that "em <-" always creates a new copy, and that is expensive
cnt=1
for (i in 1:length(pdlist)) {
	dcnt <- dim(pdlist[[i]])[1]
	em[cnt:(cnt+dcnt-1), ] <- as.matrix(pdlist[[i]])
	cnt <- cnt+dcnt
}
em <- as.data.frame(em)
print('now adding corpus info to em, and saving')

# > names(em)
# "id"    "sn"    "wn"    "p0"    "p1"    "p2"    "p3"    "d0"    "d1"    "d2"    "d3"    "l0"    "l1"    "l2"    "l3"    "gz"    "ngz"   "rop1"   "rop2"  "rod0"  "rod1"  "rod2"  "rol0"  "rol1"  "rol2"  "rogz"  "rongz" "rgp1"  "rgp2"  "rgd0"  "rgd1"  "rgd2"  "rgl0"  "rgl1"  "rgl2"  "rggz"  "rgngz" "rgc"   "roc"   "trt"   "nfx"   "xfp"   "xmp"

em$isExperimental <- factor(em$sn %/% 100, labels = c("warmup", "experimental"))

# match corpus stats to em and, if CHECK==T, produce some checks including a nice visualisation
# TODO set gaze etc. for invalid fixations to NA



corpus <- read.delim(corpusFile, header=TRUE) # corpus info

# match corpus stats to em
corpusix <- 1e2 * as.numeric(corpus$sn) + corpus$wn
emix <- 1e2 * em$sn + em$wn

whichstats <- c("nw", "nlett1", "nlett2", "nchr", "frq")

mm <- match(emix, corpusix)
em[, whichstats] <- corpus[mm, whichstats]

save(em, file=em_file)

summary(em)

# (2) aggregate to words (averaged across readers)

em_w <- data.frame(probdur2(em))
em_w$isExperimental <- factor(em_w$sn %/% 100, labels = c("warmup", "experimental"))


# do the same for em_w
emwix <- 1e2 * em_w$sn + em_w$wn
mmw <- match(emwix, corpusix) # just to make sure matching is correct; because they are presorted, this is not really necessary
em_w[, whichstats] <- corpus[mmw, whichstats]


save(em_w, file=em_w_file)

# (4) aggregate to subjects (averaged across words)

em_id <- data.frame(probdur_id(em))
# em_id$ageGroup
#names(em_id) <- c("sn", "wn", "p0", "p1", "p2", "rop1", "rop2", "rgp1", "rgp2", "d0", "d1", "d2","rod0", "rgd0", "gz", "trt","nfx")

save(em_id, file=em_id_file)


