\name{a.idx}
\alias{a.idx}
\docType{data}
\title{ Distributed-processing analyses format: initial data frame }
\description{
Data frame resulting from running xSetup2.2\_dvmat\_l3 with fixation sequences, resulting, e.g., from xallsac\_l3.
Data have been shaped for easy analysis of properties of the neighboring fixations and/or words on current fixation duration.
The data frame contains quite a few redundancies. a.idx is the same as a, with 6 additional columns added at the end.

These particular data from Ss 1--4 of "Lesen III", PSC2.
}
\usage{data(a.idx)}
\format{
  A data frame with 4749 observations on the following 91 variables.
  \describe{
    \item{\code{id}}{subject ID}
    \item{\code{sn}}{sentence number (sentence ID in corpus)}
    \item{\code{nw}}{number of words}
    \item{\code{wn}}{word number, currently fixated word}
    \item{\code{let}}{fixated letter}
    \item{\code{dur}}{fixation duration}
    \item{\code{ao}}{amplitude of outgoing saccade (in letters)}
    \item{\code{dir}}{direction of outgoing saccade (left or right: -1 or 1)}
    \item{\code{o}}{relative fixation location in word, relative to word lenght}
    \item{\code{l}}{inverse word length: 1/number of letters (including punctuation, but excluding interword spaces) }
    \item{\code{f}}{log10 word frequency}
    \item{\code{p}}{word predictability}
    \item{\code{bi}}{word initial bigram frequency}
    \item{\code{tri}}{word initial trigram frequency}
    \item{\code{cwfw}}{content word (1) or function word (2)}
    \item{\code{wn1}}{word to the left of currently fixated word: word number}
    \item{\code{l1}}{word to the left of currently fixated word: inverse word length }
    \item{\code{f1}}{word to the left of currently fixated word: log10 frequency}
    \item{\code{p1}}{word to the left of currently fixated word: predictability}
    \item{\code{bi1}}{word to the left of currently fixated word: initial bigram frequency}
    \item{\code{tri1}}{word to the left of currently fixated word: initial trigram frequency}
    \item{\code{cwfw1}}{word to the left of currently fixated word: content word (1) or function word (2)}
    \item{\code{wn2}}{word to the right of currently fixated word: word number}
    \item{\code{l2}}{word to the right of currently fixated word: inverse word length }
    \item{\code{f2}}{word to the right of currently fixated word: log10 frequency}
    \item{\code{p2}}{word to the right of currently fixated word: predictability}
    \item{\code{bi2}}{word to the right of currently fixated word: initial bigram frequency}
    \item{\code{tri2}}{word to the right of currently fixated word: initial trigram frequency}
    \item{\code{cwfw2}}{word to the right of currently fixated word: content word (1) or function word (2)}
    \item{\code{wn3}}{word two to the left of currently fixated word: word number}
    \item{\code{l3}}{word two to the left of currently fixated word: inverse word length }
    \item{\code{f3}}{word two to the left of currently fixated word: log10 frequency}
    \item{\code{p3}}{word two to the left of currently fixated word: predictability}
    \item{\code{bi3}}{word two to the left of currently fixated word: initial bigram frequency}
    \item{\code{tri3}}{word two to the left of currently fixated word: initial trigram frequency}
    \item{\code{cwfw3}}{word two to the left of currently fixated word: content word (1) or function word (2)}
    \item{\code{wn4}}{word two to the right of currently fixated word: word number}
    \item{\code{l4}}{word two to the right of currently fixated word: inverse word length }
    \item{\code{f4}}{word two to the right of currently fixated word: log10 frequency}
    \item{\code{p4}}{word two to the right of currently fixated word: predictability}
    \item{\code{bi4}}{word two to the right of currently fixated word: initial bigram frequency}
    \item{\code{tri4}}{word two to the right of currently fixated word: initial trigram frequency}
    \item{\code{cwfw4}}{word two to the right of currently fixated word: content word (1) or function word (2)}
    \item{\code{wn1.x}}{last fixation: word number}
    \item{\code{let1}}{last fixation: fixated letter}
    \item{\code{dur1}}{last fixation: fixation duration}
    \item{\code{ao1}}{last fixation: amplitude of outgoing saccade}
    \item{\code{dir1}}{last fixation: direction of outgoing saccade}
    \item{\code{o1}}{last fixation: relative fixation location}
    \item{\code{l1.x}}{last fixation: inverse word length}
    \item{\code{f1.x}}{last fixation: log10 frequency}
    \item{\code{p1.x}}{last fixation: predictability}
    \item{\code{bi1.x}}{last fixation: initial bigram frequency}
    \item{\code{tri1.x}}{last fixation: initial trigram frequency}
    \item{\code{cwfw1.x}}{last fixation: content word (1) or function word (2)}
    \item{\code{wn2.x}}{next fixation: word number}
    \item{\code{let2}}{next fixation: fixated letter}
    \item{\code{dur2}}{next fixation: fixation duration}
    \item{\code{ao2}}{next fixation: amplitude of outgoing saccade}
    \item{\code{dir2}}{next fixation: direction of outgoing saccade}
    \item{\code{o2}}{next fixation: relative fixation location}
    \item{\code{l2.x}}{next fixation: inverse word length}
    \item{\code{f2.x}}{next fixation: log10 frequency}
    \item{\code{p2.x}}{next fixation: predictability}
    \item{\code{bi2.x}}{next fixation: initial bigram frequency}
    \item{\code{tri2.x}}{next fixation: initial trigram frequency}
    \item{\code{cwfw2.x}}{next fixation: content word (1) or function word (2)}
    \item{\code{wn3.x}}{second to last fixation: word number}
    \item{\code{let3}}{second to last fixation: fixated letter}
    \item{\code{dur3}}{second to last fixation: fixation duration}
    \item{\code{ao3}}{second to last fixation: amplitude of outgoing saccade}
    \item{\code{dir3}}{second to last fixation: direction of outgoing saccade}
    \item{\code{o3}}{second to last fixation: relative fixation location}
    \item{\code{l3.x}}{second to last fixation: inverse word length}
    \item{\code{f3.x}}{second to last fixation: log10 frequency}
    \item{\code{p3.x}}{second to last fixation: predictability}
    \item{\code{bi3.x}}{second to last fixation: initial bigram frequency}
    \item{\code{tri3.x}}{second to last fixation: initial trigram frequency}
    \item{\code{cwfw3.x}}{second to last fixation: content word (1) or function word (2)}
    \item{\code{wn4.x}}{next but one fixation: word number}
    \item{\code{let4}}{next but one fixation: fixated letter}
    \item{\code{dur4}}{next but one fixation: fixation duration}
    \item{\code{ao4}}{next but one fixation: amplitude of outgoing saccade}
    \item{\code{dir4}}{next but one fixation: direction of outgoing saccade}
    \item{\code{o4}}{next but one fixation: relative fixation location}
    \item{\code{l4.x}}{next but one fixation: inverse word length}
    \item{\code{f4.x}}{next but one fixation: log10 frequency}
    \item{\code{p4.x}}{next but one fixation: predictability}
    \item{\code{bi4.x}}{next but one fixation: initial bigram frequency}
    \item{\code{tri4.x}}{next but one fixation: initial trigram frequency}
    \item{\code{cwfw4.x}}{next but one fixation: content word (1) or function word (2)}
    \item{\code{s1}}{did last saccade skip a word}
    \item{\code{s2}}{will next saccade skip a word}
    \item{\code{valid}}{is fixation valid}
    \item{\code{pass}}{pass to which fixation belongs}
    \item{\code{Sfix}}{single fixation on word?}
    \item{\code{Ffix}}{first fixation on word?}
  }
}
% \details{
%   ~~ If necessary, more details than the __description__ above ~~
% }
% \source{
%   ~~ reference to a publication or URL from which the data were obtained ~~
% }
\references{
Kliegl, R., Nuthmann, A., & Engbert, R. (2006). Tracking the mind during reading: The influence of past, present, and future words on fixation durations. \emph{Journal of Experimental Psychology: General,} 135, 12--35.}
\examples{
data(a.idx)
## maybe str(a) ; plot(a) ...
}
\keyword{datasets}
