\name{probdur1}
\alias{probdur1}

%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Compute summary statistics
}
\description{
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
Compute gaze duration and total rt, and associated n of fix for a given sentence
}
\usage{
probdur1(asn)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{asn}{
%%     ~~Describe \code{asn} here~~
data frame containing sequence of fixations within the sentence, with one row per fixation, and 7 columns named "id",  "sn",  "nw",  "wn",  "let", "dur", "fpf", "badfix", with the following content:
\tabular{rl}{
        id \tab subject ID \cr
        sn \tab sentence number \cr
        nw \tab number of words in sentence \cr
        wn \tab word number, position of fixated word in sentence \cr
        let \tab letter position of fixation \cr
        dur \tab fixation duration \cr
		fpf \tab first-pass fixation (1) or not (0) \cr
		badfix \tab bad fixation, i.e., not to consider in summary (if badfix==1) \cr
      } 

}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
%%  ~Describe the value returned
%%  If it is a LIST, use
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
Data frame containing summaries for each word in the sentence (non-fixated words will have NA on most summaries).
The data frame has many columns, which will be documented in a future version. For now, please see source code of probdur1.R
\tabular{rl}{
id \tab subject ID \cr
sn \tab sentence number \cr
wn \tab word number \cr
p0 \tab zero fixations (first pass) (indicator) \cr
p1 \tab one fixation (first pass) (indicator) \cr
p2 \tab two fixations (first pass) (indicator) \cr
p3 \tab three or more fixations (first pass) (indicator) \cr
d0 \tab duration of single fixation (first pass)\cr
d1 \tab duration of first of several fixations (first pass)\cr
d2 \tab duration of second of several fixations (first pass)\cr
d3 \tab sum of durations of third and further of several fixations (first pass)\cr
l0 \tab fixated letter in single fixation (first pass)\cr
l1 \tab fixated letter in first of several fixations (first pass) \cr
l2 \tab fixated letter in second of several fixations (first pass) \cr
l3 \tab  fixated letter in third of several fixations (first pass) \cr
gz \tab gaze duration (first pass) \cr
ngz \tab number of fixations in gaze (first pass) \cr
rop1 \tab regression origin, single fixation (indicator) \cr
rop2 \tab regression origin, multiple fixations (indicator)\cr
rod0 \tab single fixation duration (if fixation is regression origin) \cr
rod1 \tab duration of first of several fixations (if fixation is regression origin) \cr
rod2 \tab duration of second of several fixations (if fixation is regression origin) \cr
rol0 \tab fixated letter in single fixation (if fixation is regression origin) \cr
rol1 \tab fixated letter in first of several fixations (if fixation is regression origin) \cr
rol2 \tab fixated letter in second of several fixations (if fixation is regression origin) \cr
rogz \tab gaze duration (if fixation is regression origin) \cr
rongz \tab number of fixations in gaze (if fixation is regression origin) \cr
rgp1 \tab word is regression goal and has single second-pass fixation (indicator) \cr
rgp2 \tab word is regression goal and has more than one second-pass fixations (indicator) \cr
rgd0 \tab single fixation duration (second pass) \cr
rgd1 \tab duration of first of several fixations (second pass) \cr
rgd2 \tab duration of second of several fixations (second pass) \cr
rgl0 \tab fixated letter in single fixation (second pass) \cr
rgl1 \tab fixated letter in first of several fixations (second pass) \cr
rgl2 \tab fixated letter in second of several fixations (second pass) \cr
rggz \tab gaze duration (second pass)\cr
rgngz \tab number of fixations in gaze (second pass)\cr
rgc \tab regression goal count \cr
roc \tab regression origin count \cr
trt \tab total reading time \cr
nfx \tab total number of fixations \cr
xfp \tab invalid in first pass (0 if valid)\cr
xmp \tab invalid in second and further passes (0 if valid)\cr
}
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
%%  ~~who you are~~
Reinhold Kliegl, Jochen Laubrock
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
\code{xProbdur_AAA} (demo)
\code{\link{probdur2}}
\code{\link{probdur3}}
}
\examples{
data(a)
sntix <- a$id * 1e3 + a$sn
asn <- a[sntix==1012, c("id", "sn", "nw", "wn", "let", "dur")]
asn$fpf <- firstpass(asn$wn)
asn$badfix <- 0
asn$badfix[c(1,nrow(asn))] <- 1
measures <- probdur1(asn)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
% \keyword{ ~kwd1 }
% \keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
