\name{probdur2}
\alias{probdur2}
\alias{probdur3}
\alias{probdur_id}

%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Compute mean measures per word (probdur2), per word per age group (probdur3), or per subject (probdur_id)
}
\description{
Given a data frame containing collected output of probdur1, compute average measures per word (across subject: probdur2), per word and age group (across subjects within age group: probdur3) or average measures per subject (across words: probdur_id) 
}
\usage{
probdur2(em)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{em}{
	collected output of probdur1, see example
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
	\code{probdur2}: data frame of similar format as input, but aggregated across subjects, so that each word has a single data line \cr
	\code{probdur3}: data frame of similar format as input, but aggregated across subjects within age group, so that each word per age group has a single data line\cr
	\code{probdur_id}: data frame of similar format as input, but aggregated across words, so that each subject has a single data line\cr

}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Reinhold Kliegl, Jochen Laubrock
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
\code{\link{probdur1}},
\code{\link{parseq}},
\code{\link{firstpass}}
}
\examples{

	data(a)
	key <- 1000*a$id+a$sn
	a$fpf <- unlist(tapply(a$wn, key, firstpass))
	a$badfix <- 0
	sel <- parseq(key)
	a$badfix[union(sel[,1], sel[,2])] <- 1
	asn <- a[, c("id", "sn", "nw", "wn", "let", "dur", "fpf", "badfix")]
	pdlist <- by(asn, key, probdur1)

	nrow_em <- sum(tapply(a$nw, key, unique))
	ncol_em <- ncol(pdlist[[1]])
	em <- array(NA, c(nrow_em, ncol_em))
	dimnames(em) <- dimnames(pdlist[[1]])

	cnt=1
	for (i in 1:length(pdlist)) {
		dcnt <- dim(pdlist[[i]])[1]
		em[cnt:(cnt+dcnt-1), ] <- as.matrix(pdlist[[i]])
		cnt <- cnt+dcnt
	}
	em <- as.data.frame(em)
	em_w <- data.frame(probdur2(em))
	em_id <- data.frame(probdur_id(em))
}

% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
% \keyword{ ~kwd1 }
% \keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
