\name{sac_trial32_sn140}
\alias{sac_trial32_sn140}
\docType{data}
\title{ Binocular saccades from trial32_sn140 }
\description{
Can be obtained from trial32_sn140 using the following sequence of commands:\cr
\code{data(trial32_sn140)}\cr
\code{vxyl <- vecvel(trial32_sn140[,2:3],500,2)}\cr
\code{sacl <- microsacc(trial32_sn140[,2:3],vxyl)}\cr
\code{vxyr <- vecvel(trial32_sn140[,5:6],500,2)}\cr
\code{sacr <- microsacc(trial32_sn140[,5:6],vxyr)}\cr
\code{res  <- binsacc(sacl\$sac, sacr\$sac)}\cr
\code{sac_trial32_sn140  <- res\$sac}\cr
}
\usage{data(sac_trial32_sn140)}
\format{
  A data frame with 9 observations (each corresponding to a saccade) on the following 14 variables.
  Corresponds to Trial 32, Sentence No. 140 of "Lesen III" single sentence reading using the PSC2 corpus.
  \describe{
    \item{\code{t0_L}}{beginning of saccade, left eye (row index into raw data)}
    \item{\code{t1_L}}{end of saccades, left eye (row index into raw data)}
    \item{\code{vpeak_L}}{peak velocity, left eye}
    \item{\code{dx_L}}{dx, left eye (end-start)}
    \item{\code{dy_L}}{dy, left eye (end-start)}
    \item{\code{dX_L}}{dX, left eye (amplitude)}
    \item{\code{dY_L}}{dY, left eye (amplitude)}
    \item{\code{t0_R}}{beginning of saccade, right eye (row index into raw data)}
    \item{\code{t1_R}}{end of saccades, right eye (row index into raw data)}
    \item{\code{vpeak_R}}{peak velocity, right eye}
    \item{\code{dx_R}}{dx, right eye (end-start)}
    \item{\code{dy_R}}{dy, right eye (end-start)}
    \item{\code{dX_R}}{dX, right eye (amplitude)}
    \item{\code{dY_R}}{dY, right eye (amplitude)}
  }
}
% \details{
%   ~~ If necessary, more details than the __description__ above ~~
% }
% \source{
%   ~~ reference to a publication or URL from which the data were obtained ~~
% }
% \references{
%   ~~ possibly secondary sources and usages ~~
% }
\seealso{ \code{\link{trial32_sn140}} }

\examples{
data(sac_trial32_sn140)
str(sac_trial32_sn140)
}
\keyword{datasets}
