\name{vecvel}
\alias{vecvel}
\encoding{UTF-8}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Compute eye velocity }
\description{
compute smoothed 2-D velocity from time series of 2-D locations
}
\usage{
vecvel(xy, SAMPLING, TYPE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{xy}{ raw data, x- and y-components of the (gaze) location time series; N-by-2 matrix
 }
  \item{SAMPLING}{ sampling rate of eye tracker [Hz]}
  \item{TYPE}{ type of velocity filter, choose TYPE=1 for 3-point or TYPE=2 for 5-point moving filter. Currently only 3-point or 5-point moving average filters are available. See eye tracker docs: "5-sample moving filter, which is equivalent to a differentiator 
followed by a 2-sample moving average".}
}
%\details{}
\value{
	velocity time series, x- and y-components, respectively; N-by-2 matrix
}
\references{ 
EyeLink documentation, p. 345-361

Engbert, R. & Kliegl, R. (2003) Binocular coordination in microsaccades. In:  J. Hyönä, R. Radach & H. Deubel (eds.). \emph{The Mind's Eyes: Cognitive and Applied Aspects of Eye Movements}. (Elsevier, Oxford, pp. 103--117)}
\author{ Jochen Laubrock, Ralf Engbert, Konstantin Mergenthaler }
% \note{ }
% \seealso{ }
\examples{
data(trial4)
SAMPLING <- 500
v <- vecvel(trial4[,2:3], SAMPLING, 2)
plot(v[,1], v[,2], type="b")

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
% \keyword{  }
% \keyword{  }% __ONLY ONE__ keyword per line
